Index: PooledConnectionImpl.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc2/optional/PooledConnectionImpl.java,v
retrieving revision 1.5
diff -c -r1.5 PooledConnectionImpl.java
*** PooledConnectionImpl.java	2002/12/20 14:10:34	1.5
--- PooledConnectionImpl.java	2003/01/03 19:59:26
***************
*** 4,9 ****
--- 4,10 ----
  import java.sql.*;
  import java.util.*;
  import java.lang.reflect.*;
+ import org.postgresql.PGConnection;
  
  /**
   * PostgreSQL implementation of the PooledConnection interface.  This shouldn't
***************
*** 114,120 ****
  		con.setAutoCommit(autoCommit);
  		ConnectionHandler handler = new ConnectionHandler(con);
  		last = handler;
! 		Connection con = (Connection)Proxy.newProxyInstance(getClass().getClassLoader(), new Class[]{Connection.class}, handler);
          last.setProxy(con);
          return con;
  	}
--- 115,121 ----
  		con.setAutoCommit(autoCommit);
  		ConnectionHandler handler = new ConnectionHandler(con);
  		last = handler;
! 		Connection con = (Connection)Proxy.newProxyInstance(getClass().getClassLoader(), new Class[]{Connection.class, PGConnection.class}, handler);
          last.setProxy(con);
          return con;
  	}
***************
*** 213,219 ****
                                      throw e.getTargetException();
                                  }
  			}
! 			// All the rest is from the Connection interface
  			if (method.getName().equals("isClosed"))
  			{
  				return con == null ? Boolean.TRUE : Boolean.FALSE;
--- 214,220 ----
                                      throw e.getTargetException();
                                  }
  			}
! 			// All the rest is from the Connection or PGConnection interface
  			if (method.getName().equals("isClosed"))
  			{
  				return con == null ? Boolean.TRUE : Boolean.FALSE;
